nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::ref_countable_ut::NewInterface Class Reference
Inheritance diagram for nx::sdk::ref_countable_ut::NewInterface:

## Public Member Functions
virtual IRefCountable * | queryInterface (const InterfaceId *id) override
Public Member Functions inherited from nx::sdk::Interface< NewInterface >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< NewInterface >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Detailed Description

Mock for a base interface from the new SDK - used for compatibility testing. Supports old interface id in its queryInterface() in addition to the new interface id.

## Member Function Documentation

## ◆ queryInterface()

virtual IRefCountable* nx::sdk::ref_countable_ut::NewInterface::queryInterface | ( | const InterfaceId * | id | ) |
| inlineoverridevirtual

Support for old SDK interface id.

Reimplemented from nx::sdk::Interface< NewInterface >.

The documentation for this class was generated from the following file:

- unit_tests/src/ref_countable_ut.cpp